//CE - CS, CL-CLK 13, DI-MOSI 11

#include <SPI.h>
#define LCD_CE_PIN 8

uint8_t i;

void setup() {

SPI.begin();
SPI.setClockDivider(SPI_CLOCK_DIV128); // частота SPI 125KHz (при 16MHz Quartz)
pinMode(LCD_CE_PIN, OUTPUT);

}

void loop() {
  
  SPI.setBitOrder(LSBFIRST);        // режим передачи - младший бит первым
  digitalWrite(LCD_CE_PIN, LOW);    // datasheet
  SPI.transfer(0x44);               // Bпередаем адрес устройства, сначала младший бит (задом-наперед) 
  
  SPI.setBitOrder(MSBFIRST);                  // переключаем режим для передачи данных - старший бит первым
  digitalWrite(LCD_CE_PIN, HIGH);             // СЕ пин в HIGH (datasheet)
  for (i = 0; i < 3; i++) SPI.transfer(0xFF); // передаем первые 24 бита как 1 (зажигаем все элементы)
    SPI.transfer(0xF0);                       // еще 8 бит: 4 бита как 1(зажигаем элементы) и 4 (контрольные биты) в 0
  //delayMicroseconds(100);     // на всякий случай (в datasheet есть небольшая задержка)
  
  SPI.setBitOrder(LSBFIRST);      // режим передачи - младший бит первым
  digitalWrite(LCD_CE_PIN, LOW);  // datasheet
  SPI.transfer(0x44);             // передаем адрес устройства
  
  SPI.setBitOrder(MSBFIRST);      // переключаем режим для передачи данных - старший бит первым
  digitalWrite(LCD_CE_PIN, HIGH); // СЕ пин в HIGH (datasheet)
  for (i = 0; i < 3; i++) SPI.transfer(0xFF);   //передаем биты с 29 по 52 бита как 1 (зажигаем все элементы)
  SPI.transfer(0xC1);                           //еще 8 бит: 2 бита 1(зажигаем) и 6 (контрольные биты): 5 в 0 и 1 в 1-цу
  //delayMicroseconds(100);         // на всякий случай (в datasheet есть небольшая задержка)
  digitalWrite(LCD_CE_PIN, LOW);  // заканчиваем передачу 
  delay(2000);

 // теперь все тушим
  
  SPI.setBitOrder(LSBFIRST);
  digitalWrite(LCD_CE_PIN, LOW);
  SPI.transfer(0x44);

  SPI.setBitOrder(MSBFIRST);
  digitalWrite(LCD_CE_PIN, HIGH);
  for (i = 0; i < 4; i++) SPI.transfer(0x00);

  //delayMicroseconds(100);
  SPI.setBitOrder(LSBFIRST);
  digitalWrite(LCD_CE_PIN, LOW);
  SPI.transfer(0x44);

  SPI.setBitOrder(MSBFIRST);
  digitalWrite(LCD_CE_PIN, HIGH);
  for (i = 0; i < 3; i++) SPI.transfer(0x00);
  SPI.transfer(0x01);
  //delayMicroseconds(100);
  digitalWrite(LCD_CE_PIN, LOW); 
  delay(2000);
}
